from django.contrib.auth.views import LoginView, LogoutView
from django.urls import path
from backend.accounts import views as v

urlpatterns = [
    path(
        'login/',
        LoginView.as_view(template_name='accounts/login.html'),
        name='login'
    ),
    path('logout/', LogoutView.as_view(), name='logout'),
    path('signup/', v.SignUpView.as_view(), name='signup'),
    path('confirm/<uuid:uuid>/', v.confirm_email, name='confirm_email'),
    path('resend/<str:email>/', v.resend_confirmation, name='resend_confirmation'),
]
